package be.ehealth.businessconnector.test.vsbnet.async.session;

import org.junit.FixMethodOrder;
import org.junit.Rule;
import org.junit.Test;
import org.junit.runners.MethodSorters;

import be.fgov.ehealth.technicalconnector.tests.junit.rule.SessionRule;


/**
 * @author EHP
 */
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class VsbNet_eMOHDF101_V3_IntegrationTest {

    private static final String FILES_FOLDER = "/examples/vsbnet/async/eHMOHDF101_V3/";

    @Rule
    public SessionRule rule = SessionRule.withActiveSession().baseOn("/be.ehealth.businessconnector.vsbnet.test.properties").build();

    // WARNING : 
    // 5_5 must be executed before 5_1 if you want to test every PushDecision tests
    // You'll need the VSB Reference of the answer of 5_5b for the testing of other operations
    
    @Test
    public void test_5_1a_POST_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_POST_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-1_TC_APP1_testlink_eWZC-2997_request.xml");
    }

    @Test
    public void test_5_1b_GET_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-1_TC_APP1_testlink_eWZC-2997_response.xml", false);
    }

    @Test
    public void test_5_2a_POST_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_POST_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-2_TC_APP2_testlink_eWZC-3015_request.xml");
    }

    @Test
    public void test_5_2b_GET_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-2_TC_APP2_testlink_eWZC-3015_response.xml", false);
    }

    @Test
    public void test_5_3a_POST_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_POST_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-3_TC_APP3_testlink_eWZC-3016_request.xml");
    }

    @Test
    public void test_5_3b_GET_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-3_TC_APP3_testlink_eWZC-3016_response.xml", false);
    }

    @Test
    public void test_5_4a_POST_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_POST_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-4_TC_APP4_testlink_eWZC-3017_request.xml");
    }

    @Test
    public void test_5_4b_GET_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-4_TC_APP4_testlink_eWZC-3017_response.xml", false);
    }

    @Test
    public void test_5_5a_POST_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_POST_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-5_TC_APP5_testlink_eWZC-3023_request.xml");
    }

    @Test
    public void test_5_5b_GET_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-5_TC_APP5_testlink_eWZC-3023_response.xml", false);
    }

    @Test
    public void test_5_6a_POST_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_POST_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-6_TC_APP6_testlink_eWZC-3025_request.xml");
    }

    @Test
    public void test_5_6b_GET_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-6_TC_APP6_testlink_eWZC-3025_response.xml", false);
    }

    @Test
    public void test_5_7a_POST_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_POST_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-7_TC_APP7_testlink_eWZC-3035_request.xml");
    }

    @Test
    public void test_5_7b_GET_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-7_TC_APP7_testlink_eWZC-3035_response.xml", false);
    }

    @Test
    public void test_5_8a_POST_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_POST_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-8_TC_APP8_testlink_eWZC-3055_request.xml");
    }

    @Test
    public void test_5_8b_GET_CreateApplicationV3() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_CreateApplicationV3(FILES_FOLDER + "vsb-mohm_DF101_5-8_TC_APP8_testlink_eWZC-3055_response.xml", false);
    }

}
