package be.ehealth.businessconnector.test.vsbnet.async.session;

import be.fgov.ehealth.technicalconnector.tests.junit.rule.SessionRule;
import org.junit.FixMethodOrder;
import org.junit.Rule;
import org.junit.Test;
import org.junit.runners.MethodSorters;


/**
 * @author EHP
 */
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class VsbNet_eMOHDF111_IntegrationTest {

    private static final String FILES_FOLDER = "/examples/vsbnet/async/eHMOHDF111/";

    @Rule
    public SessionRule rule = SessionRule.withActiveSession().baseOn("/be.ehealth.businessconnector.vsbnet.test.properties").build();

    @Test
    public void test_4_1_POST_CreateApplication() throws Exception {
        VsbNetGenericAsyncMethod.do_POST_CreateApplication(FILES_FOLDER + "vsb-mohm_DF111_4_1_aanvraag_loophulpmiddel_request.xml");
    }

    @Test
    public void test_4_1_GET_CreateApplication() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_CreateApplication(FILES_FOLDER + "vsb-mohm_DF111_4_1_aanvraag_loophulpmiddel_response.xml", false);
    }

    @Test
    public void test_4_1_GET_PushDecision() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_PushDecision(FILES_FOLDER + "vsb-mohm_DF111_4_1_aanvaarde_beslissing_aanvraag_loophulpmiddel.xml", false);
    }

    @Test
    public void test_4_2_POST_CancelApplication() throws Exception {
        VsbNetGenericAsyncMethod.do_POST_CancelApplication(FILES_FOLDER + "vsb-mohm_DF111_4_2_annulering_aanvraag_onderneming_niet_gemachtigd_gefaald_request.xml");
    }

    @Test
    public void test_4_2_GET_CancelApplication() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_CancelApplication(FILES_FOLDER + "vsb-mohm_DF111_4_2_annulering_aanvraag_onderneming_niet_gemachtigd_gefaald_response.xml", false);
    }

    @Test
    public void test_4_3_POST_CancelApplication() throws Exception {
        VsbNetGenericAsyncMethod.do_POST_CancelApplication(FILES_FOLDER + "vsb-mohm_DF111_4_3_annulering_aanvraag_succes_request.xml");
    }

    @Test
    public void test_4_3_GET_CancelApplication() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_CancelApplication(FILES_FOLDER + "vsb-mohm_DF111_4_3_annulering_aanvraag_succes_response.xml", false);
    }

    @Test
    public void test_4_4_POST_CancelApplication() throws Exception {
        VsbNetGenericAsyncMethod.do_POST_CancelApplication(FILES_FOLDER + "vsb-mohm_DF111_4_4_annulering_aanvraag_status_niet_correct_gefaald_request.xml");
    }

    @Test
    public void test_4_4_GET_CancelApplication() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_CancelApplication(FILES_FOLDER + "vsb-mohm_DF111_4_4_annulering_aanvraag_status_niet_correct_gefaald_response.xml", false);
    }

    @Test
    public void test_4_5_POST_CancelApplication() throws Exception {
        VsbNetGenericAsyncMethod.do_POST_CancelApplication(FILES_FOLDER + "vsb-mohm_DF111_4_5_annulering_aanvraag_aanvraag_niet_gevonden_gefaald_response.xml");
    }

    @Test
    public void test_4_5_GET_CancelApplication() throws Exception {
        VsbNetGenericAsyncMethod.do_GET_CancelApplication(FILES_FOLDER + "vsb-mohm_DF111_4_5_annulering_aanvraag_aanvraag_niet_gevonden_gefaald_request.xml", false);
    }

}
